$bg: #003466de;
$white: #fff;
$font-family-roboto: 'Roboto', sans-serif;

#preloader {
    width: 100vw;
    height: 100vh;
    margin: 0;
    padding: 0;
    background: $bg;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    position: fixed;
    z-index: 99999999999999999999999999999;
	display: none;
    .loading {
        position: fixed;
        top: calc(50% - 75px);
        left: calc(50% - 75px);
        visibility: visible;
        transition: .5s cubic-bezier(.755, .05, .855, .06);
        z-index: 999999;
        width: 150px;
        height: 150px;

        &:before {
            content: '';
            width: 100%;
            height: 100%;
            border: 3px solid #ffffff;
            border-left-color: #cec7c7;
            animation: 1.2s loading-anim cubic-bezier(.77,0,.175,1) infinite both;
            border-radius: 50%;
            display: block;
            background-color: #27ff00;
        }

        .logo-loading {
            width: 80px;
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
        }

        span {
            color: $white;
            font-size: 16px;
            margin-top: 20px;
            text-align: center;
            display: block;
            font-weight: 300;
            font-family: $font-family-roboto;
        }
    }
}

@-webkit-keyframes loading-anim {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

@keyframes loading-anim {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}
